Autentifikacija
Pošaljite API ključ kao nosivi token. Ključ mora imati dozvolu vector.view; ključ bez nje se odbija s kodom 403, a ne 404.
Ova krajnja točka ne prihvaća ID organizacije. Vaš ključ već identificira organizaciju kojoj pripada, a odgovor je ograničen na nju.
Isprobajte
Zamijenite sve unutar šiljastih zagrada svojim vlastitim vrijednostima, a rezervirano mjesto za ključ s ključem iz vaše nadzorne ploče.
curl -X GET https://api.zinndigital.com/v1/vector/indexes/{indexId} \
-H "Authorization: Bearer zdk_live_…"Prijavljeni ste? API konzola na vašoj nadzornoj ploči automatski unosi stvarni ID vaše organizacije i vaš vlastiti ključ te šalje zahtjev prema aktivnom API-ju kako biste mogli vidjeti stvarni odgovor. Otvori ovu krajnju točku u API konzoli
Pojedinosti
One index belonging to this organisation. Requires `vector.view`.
Parametri
| Naziv | Vrsta | Obavezno | Što je to |
|---|---|---|---|
indexId (path) | string | Da | The index's id. |
Odgovor
| Naziv | Vrsta | Obavezno | Što je to |
|---|---|---|---|
id | string | Da | — |
name | string | Da | Lower-case, hyphenated, unique within the organisation. |
dimension | integer | Da | The width your embedding model emits, and the width reads return. Fixed at creation. |
metric | string<cosine, l2, inner_product> | Da | The distance function. Fixed at creation. |
status | string<ready, deleting> | Da | — |
vectors | integer | Da | How many vectors the index holds. |
storage_bytes | integer | Da | What the index counts for against `vector_index_gb`. A published formula rather than a physical table size, so it is reproducible: 96 bytes of row overhead, plus the stored widt… |
created_at | string | Da | — |
Pogreške koje ova krajnja točka može vratiti
401 · 403 · 404 · 429